﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    // Author: Otto Neff | webapps-in-action.com
    protected void Page_Load(object sender, System.EventArgs e)
    {
        radHtmlChart.DataSource = GetData();
        radHtmlChart.DataBind();
    }

    protected DataTable GetData()
    {
        DataTable tbl = new DataTable();
        tbl.Columns.Add(new DataColumn("Barrels"));
        tbl.Columns.Add(new DataColumn("Country"));
        tbl.Columns.Add(new DataColumn("Color"));
        tbl.Columns.Add(new DataColumn("IsExploded"));
        
        tbl.Rows.Add(new object[] { 80309, "Canada", "Orange", true });
        tbl.Rows.Add(new object[] { 46428, "Saudi Arabia", "Blue", false });
        tbl.Rows.Add(new object[] { 40573, "Mexico", "Green", false });
        tbl.Rows.Add(new object[] { 40154, "Venezuela", "Red", false });

        return tbl;
    }
}
